#ifndef MPD_FLOW_CENTRALITYINFO_H
#define MPD_FLOW_CENTRALITYINFO_H

#include <iostream>
#include <Rtypes.h>

class mfCentralityInfo
{
private:
  Float_t fCentMin;
  Float_t fCentMax;
  Float_t fMultMin;
  Float_t fMultMax;

public:
  mfCentralityInfo(/* args */);
  virtual ~mfCentralityInfo();

  // Setters
  void Set(Float_t centMin, Float_t centMax, Float_t multMin, Float_t multMax);
  void SetCentMin(Float_t _a) { fCentMin = _a; }
  void SetCentMax(Float_t _a) { fCentMax = _a; }
  void SetMultMin(Float_t _a) { fMultMin = _a; }
  void SetMultMax(Float_t _a) { fMultMax = _a; }

  // Getters
  Float_t GetCentMin() const { return fCentMin; }
  Float_t GetCentMax() const { return fCentMax; }
  Float_t GetCentMean() const { return 0.5 * (fCentMax - fCentMin); }
  Float_t GetMultMin() const { return fMultMin; }
  Float_t GetMultMax() const { return fMultMax; }

  ClassDef(mfCentralityInfo, 0);
};

#endif