#ifndef MPD_FLOW_PROCESSEVENT_H
#define MPD_FLOW_PROCESSEVENT_H

#include <Rtypes.h>
#include <TString.h>
#include <TClonesArray.h>

#include <PicoDstMCEvent.h>
#include <PicoDstRecoEvent.h>
#include <PicoDstMCTrack.h>
#include <PicoDstRecoTrack.h>
#include <PicoDstFHCal.h>

#include "mfEventInfo.h"
#include "mfNamespace.h"
#include "mfInputReader.h"

class mfProcessEvent
{
private:
  mfEventInfo fEventInfo;
  mfInputReader *fInputReader;
public:
  mfProcessEvent(/* args */);
  virtual ~mfProcessEvent();

  void SetInputReader(mfInputReader *const& _a) { fInputReader = _a; }

  Float_t GetCentB(PicoDstMCEvent *const& mcEvent);
  mfEventInfo ProcessRecoEP(TClonesArray *const& recoTracks, TClonesArray *const& fhcalModules);
  Bool_t isPrimary(PicoDstRecoTrack *const& recoTrack);

  ClassDef(mfProcessEvent,0);
};

#endif