#ifndef MPD_FLOW_RECOTRACKSELECTOR_H
#define MPD_FLOW_RECOTRACKSELECTOR_H

#include <Rtypes.h>

#include <PicoDstRecoTrack.h>

class mfRecoTrackSelector
{
private:
  /* data */
public:
  mfRecoTrackSelector(/* args */);
  virtual ~mfRecoTrackSelector();

  virtual Bool_t isRefMult(PicoDstRecoTrack *const &track);
  virtual Bool_t isGoodRecoTrack(PicoDstRecoTrack *const &track);
  virtual Bool_t isPrimary(Double_t TrackDca, Double_t DcaSigma);
  virtual Bool_t isGoodTpcEp(Int_t multTpc_R, Int_t multTpc_L);
  virtual Bool_t isGoodFHCalEp(Float_t EnFHCal_R, Float_t EnFHCal_L);
  virtual Bool_t isGoodForV1Pt(Float_t eta);
  virtual Bool_t isPion(PicoDstRecoTrack *const& track);
  virtual Bool_t isKaon(PicoDstRecoTrack *const& track);
  virtual Bool_t isProton(PicoDstRecoTrack *const& track);

  ClassDef(mfRecoTrackSelector, 0);
};

#endif