#include "mfDcaReader.h"
#include <TFile.h>
#include <TMath.h>

using mfdca::Ndim;
using mfdca::NsigmaDcaCut;

using TMath::Abs;

ClassImp(mfDcaReader);

mfDcaReader::mfDcaReader(/* args */)
{
}

mfDcaReader::~mfDcaReader()
{
}

void mfDcaReader::SetDcaFitFile(TString str)
{
  fDcaFileName = str;
  TFile *fi = new TFile(fDcaFileName.Data(),"READ");
  for (int i = 0; i < Ndim; i++)
  {
    fdca[i] = (TF2 *)fi->Get(Form("f_sigma%i", i));
  }
  fi->Close();
}

Double_t mfDcaReader::GetDcaSigmaX(PicoDstRecoTrack *const& recoTrack)
{
  return fdca[0]->Eval(recoTrack->GetPt(),recoTrack->GetEta());
}

Double_t mfDcaReader::GetDcaSigmaY(PicoDstRecoTrack *const& recoTrack)
{
  return fdca[1]->Eval(recoTrack->GetPt(),recoTrack->GetEta());
}

Double_t mfDcaReader::GetDcaSigmaZ(PicoDstRecoTrack *const& recoTrack)
{
  return fdca[2]->Eval(recoTrack->GetPt(),recoTrack->GetEta());
}

// Bool_t mfDcaReader::isPrimary(PicoDstRecoTrack *const& recoTrack)
// {
//   if (fDcaFileName == "") return false;
//   if (!recoTrack) return false;
//   if (Abs(recoTrack->GetDCAx()) > fdca[0]->Eval(recoTrack->GetPt(),recoTrack->GetEta())*NsigmaDcaCut)
//   return false;
//   if (Abs(recoTrack->GetDCAy()) > fdca[1]->Eval(recoTrack->GetPt(),recoTrack->GetEta())*NsigmaDcaCut)
//   return false;
//   if (Abs(recoTrack->GetDCAz()) > fdca[2]->Eval(recoTrack->GetPt(),recoTrack->GetEta())*NsigmaDcaCut)
//   return false;

//   return true;
// }