#include "mfPicoDstReader.h"

#include <sstream>
#include <string>
#include <fstream>

ClassImp(mfPicoDstReader);


mfPicoDstReader::mfPicoDstReader(/* args */)
{
    SetName("picodst");
}

mfPicoDstReader::~mfPicoDstReader()
{
}

TChain * mfPicoDstReader::Open(TString str)
{
    // if str contains one specific root file
    if (str.Contains(".root"))
    {
        ProcessFile(str);
    }
    // if str contains filelist
    if (!str.Contains(".root"))
    {
        ProcessList(str);
    }

    return &fChain;
}

TChain * mfPicoDstReader::OpenFile(TString str)
{
    ProcessFile(str);
    return &fChain;
}

TChain * mfPicoDstReader::OpenList(TString str)
{
    ProcessList(str);
    return &fChain;
}

void mfPicoDstReader::ProcessFile(TString str)
{
    fChain.Add(str);
}

void mfPicoDstReader::ProcessList(TString str)
{
    std::ifstream file(str.Data());
    std::string line;
    while(std::getline(file, line))
    {
        fChain.Add(line.c_str());
    }
}